package com.zjty.tynotes.pas.service;

import com.zjty.tynotes.pas.entity.Authority;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
 * @author mcj
 */
public interface IAuthorityService {
    /**
     * 添加权限
     * @param authority
     * @return
     */
    Authority addAuthority(Authority authority);

    /**
     * 删除权限
     * @param id
     * @return
     */
    boolean deleteAuthority(String id);

    /**
     * 修改权限
     * @param authority
     * @return
     */
    Authority updateAuthority(Authority authority);

    /**
     * 查找权限
     * @return
     */
    List<Authority> findAuthority();
}
